EDIT - bug #7563

requests with %2F in URL are rejected by apache
07/19/2018 02:00 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: server-maintenance Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description

requests like
http://test.e-taxonomy.eu/cdmserver/phycobank_production/registrationDTO/identifier/http%+3+A%2F%2Fphycobank.org%2F10010

5.json

are rejected by apache with a http 404 code. This blocks from resolving http identifiers like http://phycobank.org/100105.

By default apache does not allow %2F for / and %5C for \ in URLs:

e https://stackoverflow.com/questions/9206835/2f-in-url-breaks-and-does-not-reference-to-the-php-file-required#12993237
e http://httpd.apache.org/docs/current/mod/core.html#allowencodedslashes

The AllowEncodedSlashes-Direktive for apache can be set in the server configuration and also in vhost configurations:

#

# NOTE: AllowEncodedSlashes is off per default to prevent possible security vulnerabilities.

# To allow the cdmserver resolving http identifiers wvia HTTP GET requests it is required t
o

# allow encoded slashes. See https://dev.e-taxonomy.eu/redmine/issues/7563

#

AllowEncodedSlashes On

The edit servers and documentation needs to be adapted:

1. edit-test: /etc/apache2/sites-available/default - DONE

2. edit-community: /etc/apache2/sites-available/siteconf - DONE

3. edit-jobber: - DONE

4. edit-integration: - DONE

5. edit-demo1: - DONE

6. edit-demo2: - DONE

7. add to cdmserver installation documentation https://cybertaxonomy.eu/cdmserver/installation - DONE
Related issues:
Related to EDIT - bug #9218: Change /registrationDTO/identifier/... signature... Closed
Related to EDIT - task #9219: Revert: requests with %2F in URL are rejected b... New
Related to EDIT - task #9275: Cleanup apache configuration from "AllowEncoded... New
History

#1 - 07/19/2018 02:01 PM - Andreas Kohlbecker
- Description updated

#2 - 07/19/2018 02:13 PM - Andreas Kohlbecker
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 30

#3 - 07/19/2018 02:25 PM - Andreas Kohlbecker

- Description updated
http://test.e-taxonomy.eu/cdmserver/phycobank_production/registrationDTO/identifier/http%+3+A%2F%2Fphycobank.org%2F100105.json
http://test.e-taxonomy.eu/cdmserver/phycobank_production/registrationDTO/identifier/http%+3+A%2F%2Fphycobank.org%2F100105.json
http://phycobank.org/100105
https://stackoverflow.com/questions/9206835/2f-in-url-breaks-and-does-not-reference-to-the-php-file-required#12993237
http://httpd.apache.org/docs/current/mod/core.html#allowencodedslashes
https://cybertaxonomy.eu/cdmserver/installation

#4 - 08/28/2018 12:28 PM - Andreas Kohlbecker
- Description updated

- Status changed from In Progress to Resolved

- Target version deleted (Release 5.2)

- % Done changed from 30 to 100

#5 - 08/28/2018 12:28 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed

#6 - 09/07/2020 04:46 PM - Andreas Kohlbecker
- Related to bug #9218: Change /registrationDTO/identifier/... signatures to use query parameters instead added

#7 - 09/07/2020 04:49 PM - Andreas Kohlbecker
- Related to task #9219: Revert: requests with %2F in URL are rejected by apache added

#8 - 11/04/2020 10:48 AM - Andreas Kohlbecker
- Related to task #9275: Cleanup apache configuration from "AllowEncodedSlashes On" added
